/*
 * $Id: sausartreg.h,v 1.1 2007/11/13 22:30:48 nbrk Exp $
 */
#ifndef _ARCH_SAM7S64_DEV_SAUSARTREG_H
#define _ARCH_SAM7S64_DEV_SAUSARTREG_H

#include <sys/types.h>

#define SAUSART_0_BASE 		0xfffc0000
#define SAUSART_1_BASE 		0xfffc4000
#define  SAUSART_US_CR 		0x0000
#define  SAUSART_US_MR 		0x0004
#define  SAUSART_US_IER 	0x0008
#define  SAUSART_US_IDR 	0x000c
#define  SAUSART_US_IMR 	0x0010
#define  SAUSART_US_CSR 	0x0014
#define  SAUSART_US_RHR 	0x0018
#define  SAUSART_US_THR 	0x001c
#define  SAUSART_US_BRGR 	0x0020
#define  SAUSART_US_RTOR 	0x0024
#define  SAUSART_US_TTGR 	0x0028
/* 0x002c - 0x003c reserved */
/* ... */
#define  SAUSART_US_NER 	0x0044

#endif /* not _ARCH_SAM7S64_DEV_SAUSARTREG_H */

